
using System.Diagnostics;
using System.Collections;
using System.Collections.Generic;
using System;
using Godot;


namespace Rokojori
{  
  [Tool]
  [GlobalClass]
  public partial class SetActiveCameraSlotIndex:CameraSlotSelector
  {
    [Export]
    public int cameraSlotIndex;

    public override CameraSlot GetCameraSlot()
    {
      var slot = CameraManager.Get().GetSlot( cameraSlotIndex );
      return slot;
    }

  }
}